/// Call the Payments API to authorize payments, capture authorized payments, refund
/// payments that have already been captured, and show payment information.
/// Use the Payments API in conjunction with the <a href="https://developer.paypal.com/docs/api/orders/v2/">Orders API</a>.
/// For more information, see the <a href="https://developer.paypal.com/docs/checkout/">PayPal Checkout Overview</a>.
///
/// <a href="https://developer.paypal.com/api/payments/v2/">https://developer.paypal.com/api/payments/v2/</a>
library payments;

export 'src/payments/model/authorization.dart';
export 'src/payments/model/capture.dart';
export 'src/payments/model/seller.dart';
export 'src/payments/payments_api.dart';
